Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006028 [JEDI VCL] 00 JVCL Components minor always 2012-11-11 10:37 2015-09-14 13:20
Reporter pawnflakes View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006028: JvCreateProcess - Console example incorrect output.
Description When using JvCreateProcess in the console example, the output for file sizes are incorrect. I suspect that it's a unicode problem..
Additional Information here is a sample of what the output looks like..

 Directory of E:\Program Files (x86)\Embarcadero\RAD Studio\9.0\lib\win32\Jedi\jvcl\bin

2012/11/07 10:15 PM <DIR> .
2012/11/07 10:15 PM <DIR> ..
2012/10/18 12:23 PM 2ÿ439ÿ680 AdvancePro.exe
2012/11/07 02:14 PM 1ÿ382ÿ912 AppDdeCmdExample.exe
2012/10/17 09:45 PM <DIR> ApplicationHookPlugin
2012/10/18 12:23 PM 1ÿ616ÿ896 ArrowButtonDemo.exe
2004/08/04 08:48 PM 200ÿ704 BaseTest.mdb
2012/11/07 10:06 PM 1ÿ419ÿ264 BasicDemo.exe
2007/12/24 06:34 PM 0 bin.txt
2012/10/18 12:23 PM 2ÿ008ÿ064 BmpAnimDemo.exe
2012/10/18 12:23 PM 1ÿ808ÿ896 CaptionButtonDemo.exe
2012/11/05 10:23 PM 1ÿ836ÿ032 ChangeNotifyDemo.exe
2012/11/07 10:06 PM 1ÿ590ÿ784 CollectionDemo.exe
2012/10/18 12:23 PM 1ÿ364ÿ480 ColorButtonDemo.exe
2012/11/11 11:22 AM 1ÿ772ÿ032 ConsoleExample.exe
2012/10/18 12:23 PM 1ÿ761ÿ280 ContentScrollerDemo.exe
2012/11/10 09:44 PM 1ÿ743ÿ872 CreateProcessExample.exe
2012/10/17 09:45 PM <DIR> Data
2012/10/17 09:45 PM <DIR> DataPlugin
2012/10/18 12:23 PM 1ÿ883ÿ136 DSAExamples.exe
2012/10/18 12:09 PM 2ÿ821ÿ632 EditorDemo.exe
2012/11/05 10:30 PM 1ÿ765ÿ376 EmbeddedForm.exe
2012/11/07 10:13 PM 1ÿ458ÿ688 EventViewer.exe
2012/10/18 12:23 PM 1ÿ866ÿ240 FindReplaceDemo.exe
2006/08/09 09:00 PM 30ÿ054 grass.bmp
2012/10/18 12:23 PM 2ÿ088ÿ448 HowToUse.exe
2006/08/09 09:00 PM 11ÿ010 human.bmp
2012/10/18 12:23 PM 1ÿ953ÿ280 InspectorSimpleExample.exe
2012/11/07 10:10 PM 2ÿ234ÿ880 InspExample.exe
2012/11/07 10:10 PM 1ÿ695ÿ744 Install2LabelDemo.exe
2012/10/18 12:23 PM 1ÿ364ÿ992 JvAppHotKeyDemo.exe
2012/11/07 09:36 PM 1ÿ724ÿ416 JvAppInstDemo.exe
2012/11/07 09:37 PM 1ÿ340ÿ928 JvAviCapDemo.exe
2012/10/18 12:23 PM 1ÿ340ÿ416 JvBehaviorLabelDemo.exe
2012/10/18 12:23 PM 1ÿ742ÿ336 JvBrowserFolder.exe
2012/10/17 10:10 PM 34ÿ816 JVCLCmdStarter.exe
2012/10/17 10:10 PM 1ÿ457ÿ152 JVCLInstall.exe
2012/10/17 10:11 PM 1ÿ393 JVCLInstall.ini
2012/11/07 09:55 PM 1ÿ794ÿ048 JvClipboardViewerProj.exe
2012/10/17 09:49 PM 103 jvcl_install_d16.log
2012/10/17 09:51 PM 112 jvcl_install_d16_x64.log
2012/11/07 09:56 PM 2ÿ423ÿ808 JvComputerInfoExDemo.exe
2012/10/28 07:12 PM 1ÿ341ÿ440 JvDataEmbeddedProj.exe
2012/10/28 07:14 PM 2ÿ775ÿ040 JvDBImageDemo.exe
2012/10/18 11:53 AM 1ÿ493ÿ504 JvDesignerDemo.exe
2012/11/05 10:30 PM 70ÿ636 JvDesktopAlertDemo.drc
2012/11/05 10:30 PM 2ÿ207ÿ232 JvDesktopAlertDemo.exe
2012/11/05 10:30 PM 1ÿ540ÿ328 JvDesktopAlertDemo.map
2012/11/07 10:04 PM 1ÿ776ÿ640 JvDomainUpDownDemo.exe
2012/10/18 11:58 AM 1ÿ948ÿ160 JvErrorIndicatorDemo.exe
2012/10/18 11:59 AM 2ÿ107ÿ392 JvFullColorCircleDialogPrj.exe
2012/10/18 12:00 PM 2ÿ362ÿ880 JvID3v1Demo.exe
2012/10/18 12:23 PM 1ÿ330ÿ688 JvLEDDemo.exe
2012/11/07 10:12 PM 1ÿ521ÿ152 JvLogFileDemo.exe
2012/10/18 12:03 PM 1ÿ893ÿ376 JvMouseGestureDemo.exe
2012/11/07 02:16 PM 1ÿ970ÿ688 JvNavPaneDemo.exe
2012/10/18 12:05 PM 2ÿ140ÿ160 JvPanelDemo.exe
2012/11/07 10:14 PM 1ÿ835ÿ520 JvPlayListProj.exe
2012/10/18 12:08 PM 1ÿ763ÿ328 JvProgressDialogDemo.exe
2012/10/18 12:10 PM 1ÿ753ÿ088 JvRollOutDemo.exe
2012/11/09 11:58 PM 1ÿ914ÿ880 JvScreenCaptureProj.exe
2012/11/05 10:33 PM 1ÿ775ÿ616 JvShellHookDemo.exe
2012/10/18 12:13 PM 1ÿ583ÿ616 JvSimScopeDemo.exe
2012/10/18 12:15 PM 1ÿ681ÿ408 JvStarfieldDemo.exe
2012/11/05 10:35 PM 1ÿ701ÿ888 JvSystemPopupProj.exe
2012/10/18 12:16 PM 1ÿ932ÿ800 JvThreadProj.exe
2012/10/18 12:17 PM 1ÿ673ÿ216 JvUrlListGrabberDemo.exe
2012/10/18 12:19 PM 1ÿ713ÿ152 JvWinDialogsDemo.exe
2012/11/05 10:36 PM 1ÿ607ÿ168 JvWindowsTitleProj.exe
2012/10/18 12:23 PM 1ÿ951ÿ232 MailExample.exe
2012/10/17 09:45 PM <DIR> MDIPlugin
2012/10/18 12:09 PM 1ÿ915ÿ392 MessengerDemo.exe
2012/10/18 12:23 PM 2ÿ641ÿ920 MSDN2002Pro.exe
2008/09/09 10:29 PM 658 PhoneList.csv
2012/10/18 12:23 PM 1ÿ720ÿ320 prjControls.exe
2012/11/07 10:15 PM 1ÿ487ÿ872 ProfilerDemo.exe
2012/11/07 10:11 PM 3ÿ074ÿ048 RANotepad.exe
2012/11/07 10:15 PM 1ÿ879ÿ552 RegEditDemo.exe
2012/10/18 12:18 PM 1ÿ161 result0.txt
2012/10/18 12:10 PM 1ÿ645ÿ056 RunDLL32Demo.exe
2012/11/05 10:30 PM 600 Settings.ini
2012/11/05 10:34 PM 1ÿ369ÿ600 ShFileOpDemo.exe
2012/10/18 12:23 PM 1ÿ463ÿ808 SimpleHIDWrite.exe
2007/12/24 06:34 PM 58ÿ619 TestData.csv
2012/10/18 12:16 PM 1ÿ947ÿ648 TipsDemo.exe
2012/11/07 10:07 PM 1ÿ602ÿ560 UsagesDemo.exe
2012/10/18 12:23 PM 3ÿ088ÿ384 VCDemoPro.exe
2012/10/18 12:23 PM 2ÿ768ÿ896 VIDDemoPro.exe
2012/10/18 11:56 AM 1ÿ770ÿ496 WebMapper.exe
2012/11/05 10:38 PM 1ÿ738ÿ240 WndProcHookDemo.exe
              84 File(s) 131ÿ518ÿ962 bytes
               6 Dir(s) 27ÿ279ÿ040ÿ512 bytes free
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020305)
pawnflakes (reporter)
2012-11-17 16:12

This issue occurs on Windows 7 64-bit (Delphi XE2).
(0020370)
obones (administrator)
2013-01-15 15:51

It's not really a unicode issue, it's the thousands separator that's showing here with a 0000255 value

- Issue History
Date Modified Username Field Change
2012-11-11 10:37 pawnflakes New Issue
2012-11-11 16:52 pawnflakes Issue Monitored: pawnflakes
2012-11-17 16:12 pawnflakes Note Added: 0020305
2013-01-15 15:51 obones Note Added: 0020370
2013-01-15 15:51 obones Status new => feedback
2013-01-15 15:55 obones Status feedback => resolved
2013-01-15 15:55 obones Resolution open => fixed
2013-01-15 15:55 obones Assigned To => obones
2013-01-15 15:55 obones Fixed in Version => Daily / SVN
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker